### Enumeration

# Aravis GcVisibility

#### Declaration

    enum Aravis.GcVisibility

#### Description [src]

Specifies feature node recommended visibility in user interfaces.

#### Members

`ARV_GC_VISIBILITY_UNDEFINED`

  Undefined feature visibility level.

  - Value: `-1`
  - Available since: 0.8
`ARV_GC_VISIBILITY_INVISIBLE`

  Feature should be not be visible in user interface.

  - Value: `0`
  - Available since: 0.8
`ARV_GC_VISIBILITY_GURU`

  Very advanced feature to be shown to very experienced users.

  - Value: `1`
  - Available since: 0.8
`ARV_GC_VISIBILITY_EXPERT`

  Advanced feature to be shown to expert users.

  - Value: `2`
  - Available since: 0.8
`ARV_GC_VISIBILITY_BEGINNER`

  Basic feature to be shown to all users.

  - Value: `3`
  - Available since: 0.8